
user nginx;
worker_processes  1;
error_log   /var/error.log  info;
#pid        logs/nginx.pid;
worker_rlimit_nofile 1024;

events {
    worker_connections  1024;
}

http 
{
    include       mime.types;
    default_type  application/octet-stream;
    fastcgi_buffer_size 32k;
    fastcgi_buffers 8 32k;
    underscores_in_headers on;
    client_max_body_size 1024M;

    sendfile            on;
    keepalive_timeout   65;

    log_format  main  '$remote_addr - $remote_user [$time_local] "$request" '
                      '$status $body_bytes_sent "$http_referer" '
                      '"$http_user_agent" "$http_x_forwarded_for"';

    server 
    {
    	listen       8080;
        set  $folder_name /var/www/html/public;
        server_name 192.168.1.200;
        root $folder_name;
        index index.html index.php;
    	client_max_body_size 100m;
    	proxy_connect_timeout 500s;
        proxy_read_timeout 500s;
        proxy_send_timeout 500s;
        fastcgi_connect_timeout 75;
        fastcgi_read_timeout 600;
        fastcgi_send_timeout 600;

        charset utf-8;

        location /logs {
            deny all;
            return 403;
        }

        location /data/log {
            deny all;
            return 403;
        }
        location / {
            index  index.html index.htm index.php;
        }
         if (!-e $request_filename) {
            rewrite  ^(.*)$  /index.php?s=/$1  last;
        }

        location ~ \.php {
         add_header Cache-Control no-store;
            set  $folder_name /var/www/html/public;
            root           $folder_name;
            fastcgi_pass   lfpm:9000;
            fastcgi_index  index.php;
            fastcgi_split_path_info ^(.+\.php)(.*)$;
            fastcgi_param PATH_INFO $fastcgi_path_info;
            fastcgi_param  SCRIPT_FILENAME  $folder_name$fastcgi_script_name;
            include        fastcgi_params;
        }
    }
}
